> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debitdirect.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post payments



## OpenAPI

````yaml post /Payments
openapi: 3.0.4
info:
  title: Debitdirect.API
  version: '1.0'
servers: []
security: []
paths:
  /Payments:
    post:
      tags:
        - Payments
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePaymentCommand'
          text/json:
            schema:
              $ref: '#/components/schemas/CreatePaymentCommand'
          application/*+json:
            schema:
              $ref: '#/components/schemas/CreatePaymentCommand'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Payment'
            application/json:
              schema:
                $ref: '#/components/schemas/Payment'
            text/json:
              schema:
                $ref: '#/components/schemas/Payment'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '422':
          description: Unprocessable Content
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '428':
          description: Precondition Required
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '429':
          description: Too Many Requests
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '500':
          description: Internal Server Error
components:
  schemas:
    CreatePaymentCommand:
      type: object
      properties:
        mandate:
          type: string
          nullable: true
        currency:
          type: string
          nullable: true
        amount:
          type: integer
          format: int32
        description:
          type: string
          nullable: true
        reference:
          type: string
          nullable: true
        paymentDate:
          type: string
          format: date-time
      additionalProperties: false
    Payment:
      type: object
      properties:
        id:
          type: string
          format: uuid
        paymentDate:
          type: string
          format: date-time
        scheduleDate:
          type: string
          format: date-time
          nullable: true
        handle:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        reference:
          type: string
          nullable: true
        amount:
          type: integer
          format: int32
        currency:
          type: string
          nullable: true
        test:
          type: boolean
        status:
          $ref: '#/components/schemas/PaymentStatusEnum'
        statusText:
          type: string
          nullable: true
        settlementDate:
          type: string
          format: date-time
          nullable: true
        createdAt:
          type: string
          format: date-time
        modifiedAt:
          type: string
          format: date-time
          nullable: true
        mandate:
          $ref: '#/components/schemas/PaymentMandate'
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    PaymentStatusEnum:
      enum:
        - Pending
        - Settled
        - Scheduled
        - Rejected
        - Cancelled
        - Chargeback
        - PendingCancel
      type: string
    PaymentMandate:
      type: object
      properties:
        handle:
          type: string
          nullable: true
        scheme:
          type: string
          nullable: true
        status:
          $ref: '#/components/schemas/MandateStateEnum'
        customerId:
          type: string
          format: uuid
      additionalProperties: false
    MandateStateEnum:
      enum:
        - Created
        - PendingProcess
        - PendingVerification
        - Active
        - Cancelled
      type: string

````